C To calculate the magnitude of a vector defined in real space
C
C Reference
C  Worked Examples in the Geometry of Crystals
C  by H. K. D. H. Bhadeshia
C  Published by the Institute of Materials, London, 1987.
C  pages 5,6 and equation 4a-c.
C The metric tensor G converts the components from real to reciprocal
C  space.
C
      SUBROUTINE MAP_CRYSTAL_VECMAG(G,U,V,W,M)
      IMPLICIT NONE
      REAL G(9),U,V,W,M,H,K,L
C
C
C
      CALL MAP_UTIL_TRANS(G,U,V,W,H,K,L)
      M=SQRT(U*H+V*K+W*L)
C
      RETURN
      END
